Subject: bug#37621: [PATCH] Remove XEmacs compat code from edt.el

From: Stefan Kangas <[email-masked]>
Date: Mon, 7 Oct 2019 14:58:39 +0200

Basil L. Contovounesios <[email-masked]> writes:

> Hopefully no-one will complain about these constants disappearing
> without first being made obsolete (I won't). ;)

I thought that it was fine to just remove them when they are only
relevant for XEmacs or backwards compatibility?  I could of course
declare them obsolete instead if that's preferable.

> The calls to (function ...) can be removed, as they are redundant around
> evaluated lambdas.

Indeed, I had missed that.

> Otherwise looks fine to me, FWIW.

Thanks for reviewing.  I intend to push this in a couple of days if no
one raises any objections.

Best regards,
Stefan Kangas